import { type PropType } from 'vue';
import type { Option, Theme, InitOptions, UpdateOptions } from '../types.js';
import { type EChartsElement } from '../utils/wc.js';
import '#build/echarts.mjs';
declare const _default: import("vue").DefineComponent<{
    loading: BooleanConstructor;
    loadingOptions: PropType<import("../types").LoadingOptions>;
    autoresize: PropType<boolean | {
        throttle?: number;
        onResize?: ResizeObserverCallback;
    }>;
    option: PropType<Option>;
    theme: {
        type: PropType<Theme>;
    };
    initOptions: PropType<InitOptions>;
    updateOptions: PropType<UpdateOptions>;
    group: StringConstructor;
    manualUpdate: BooleanConstructor;
}, {
    getWidth: () => number;
    getHeight: () => number;
    getDom: () => HTMLElement;
    getOption: () => import("echarts/core").EChartsCoreOption;
    resize: (opts?: import("echarts/core").ResizeOpts) => void;
    dispatchAction: (payload: import("echarts/core").Payload, opt?: boolean | {
        silent?: boolean;
        flush?: boolean | undefined;
    }) => void;
    convertToPixel: {
        (finder: string | {
            seriesIndex?: number | false | number[] | "none" | "all";
            seriesId?: (string | number) | (string | number)[];
            seriesName?: (string | number) | (string | number)[];
            geoIndex?: number | false | number[] | "none" | "all";
            geoId?: (string | number) | (string | number)[];
            geoName?: (string | number) | (string | number)[];
            bmapIndex?: number | false | number[] | "none" | "all";
            bmapId?: (string | number) | (string | number)[];
            bmapName?: (string | number) | (string | number)[];
            xAxisIndex?: number | false | number[] | "none" | "all";
            xAxisId?: (string | number) | (string | number)[];
            xAxisName?: (string | number) | (string | number)[];
            yAxisIndex?: number | false | number[] | "none" | "all";
            yAxisId?: (string | number) | (string | number)[];
            yAxisName?: (string | number) | (string | number)[];
            gridIndex?: number | false | number[] | "none" | "all";
            gridId?: (string | number) | (string | number)[];
            gridName?: (string | number) | (string | number)[];
            dataIndex?: number;
            dataIndexInside?: number;
        }, value: (string | number) | Date): number;
        (finder: string | {
            seriesIndex?: number | false | number[] | "none" | "all";
            seriesId?: (string | number) | (string | number)[];
            seriesName?: (string | number) | (string | number)[];
            geoIndex?: number | false | number[] | "none" | "all";
            geoId?: (string | number) | (string | number)[];
            geoName?: (string | number) | (string | number)[];
            bmapIndex?: number | false | number[] | "none" | "all";
            bmapId?: (string | number) | (string | number)[];
            bmapName?: (string | number) | (string | number)[];
            xAxisIndex?: number | false | number[] | "none" | "all";
            xAxisId?: (string | number) | (string | number)[];
            xAxisName?: (string | number) | (string | number)[];
            yAxisIndex?: number | false | number[] | "none" | "all";
            yAxisId?: (string | number) | (string | number)[];
            yAxisName?: (string | number) | (string | number)[];
            gridIndex?: number | false | number[] | "none" | "all";
            gridId?: (string | number) | (string | number)[];
            gridName?: (string | number) | (string | number)[];
            dataIndex?: number;
            dataIndexInside?: number;
        }, value: ((string | number) | Date)[]): number[];
    };
    convertFromPixel: {
        (finder: string | {
            seriesIndex?: number | false | number[] | "none" | "all";
            seriesId?: (string | number) | (string | number)[];
            seriesName?: (string | number) | (string | number)[];
            geoIndex?: number | false | number[] | "none" | "all";
            geoId?: (string | number) | (string | number)[];
            geoName?: (string | number) | (string | number)[];
            bmapIndex?: number | false | number[] | "none" | "all";
            bmapId?: (string | number) | (string | number)[];
            bmapName?: (string | number) | (string | number)[];
            xAxisIndex?: number | false | number[] | "none" | "all";
            xAxisId?: (string | number) | (string | number)[];
            xAxisName?: (string | number) | (string | number)[];
            yAxisIndex?: number | false | number[] | "none" | "all";
            yAxisId?: (string | number) | (string | number)[];
            yAxisName?: (string | number) | (string | number)[];
            gridIndex?: number | false | number[] | "none" | "all";
            gridId?: (string | number) | (string | number)[];
            gridName?: (string | number) | (string | number)[];
            dataIndex?: number;
            dataIndexInside?: number;
        }, value: number): number;
        (finder: string | {
            seriesIndex?: number | false | number[] | "none" | "all";
            seriesId?: (string | number) | (string | number)[];
            seriesName?: (string | number) | (string | number)[];
            geoIndex?: number | false | number[] | "none" | "all";
            geoId?: (string | number) | (string | number)[];
            geoName?: (string | number) | (string | number)[];
            bmapIndex?: number | false | number[] | "none" | "all";
            bmapId?: (string | number) | (string | number)[];
            bmapName?: (string | number) | (string | number)[];
            xAxisIndex?: number | false | number[] | "none" | "all";
            xAxisId?: (string | number) | (string | number)[];
            xAxisName?: (string | number) | (string | number)[];
            yAxisIndex?: number | false | number[] | "none" | "all";
            yAxisId?: (string | number) | (string | number)[];
            yAxisName?: (string | number) | (string | number)[];
            gridIndex?: number | false | number[] | "none" | "all";
            gridId?: (string | number) | (string | number)[];
            gridName?: (string | number) | (string | number)[];
            dataIndex?: number;
            dataIndexInside?: number;
        }, value: number[]): number[];
    };
    containPixel: (finder: string | {
        seriesIndex?: number | false | number[] | "none" | "all";
        seriesId?: (string | number) | (string | number)[];
        seriesName?: (string | number) | (string | number)[];
        geoIndex?: number | false | number[] | "none" | "all";
        geoId?: (string | number) | (string | number)[];
        geoName?: (string | number) | (string | number)[];
        bmapIndex?: number | false | number[] | "none" | "all";
        bmapId?: (string | number) | (string | number)[];
        bmapName?: (string | number) | (string | number)[];
        xAxisIndex?: number | false | number[] | "none" | "all";
        xAxisId?: (string | number) | (string | number)[];
        xAxisName?: (string | number) | (string | number)[];
        yAxisIndex?: number | false | number[] | "none" | "all";
        yAxisId?: (string | number) | (string | number)[];
        yAxisName?: (string | number) | (string | number)[];
        gridIndex?: number | false | number[] | "none" | "all";
        gridId?: (string | number) | (string | number)[];
        gridName?: (string | number) | (string | number)[];
        dataIndex?: number;
        dataIndexInside?: number;
    }, value: number[]) => boolean;
    getDataURL: (opts?: {
        type?: "png" | "jpeg" | "svg";
        pixelRatio?: number;
        backgroundColor?: import("echarts/core").Color;
        excludeComponents?: string[];
    }) => string;
    getConnectedDataURL: (opts?: {
        type?: "png" | "jpeg" | "svg";
        pixelRatio?: number;
        backgroundColor?: import("echarts/core").Color;
        connectedBackgroundColor?: import("echarts/core").Color;
        excludeComponents?: string[];
    }) => string;
    appendData: (params: {
        seriesIndex: number;
        data: any;
    }) => void;
    clear: () => void;
    isDisposed: () => boolean;
    dispose: () => void;
    chart: import("vue").ShallowRef<import("echarts/core").ECharts | undefined>;
    root: import("vue").ShallowRef<EChartsElement | undefined>;
    inner: import("vue").ShallowRef<HTMLElement | undefined>;
    setOption: (option: Option, updateOptions?: UpdateOptions) => void;
    realAttrs: import("vue").ComputedRef<{
        [x: string]: any;
    }>;
    nativeListeners: import("vue").Ref<Record<string, unknown>>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    click: (params: import("echarts/core").ECElementEvent) => boolean;
    dblclick: (params: import("echarts/core").ECElementEvent) => boolean;
    mouseout: (params: import("echarts/core").ECElementEvent) => boolean;
    mouseover: (params: import("echarts/core").ECElementEvent) => boolean;
    mouseup: (params: import("echarts/core").ECElementEvent) => boolean;
    mousedown: (params: import("echarts/core").ECElementEvent) => boolean;
    mousemove: (params: import("echarts/core").ECElementEvent) => boolean;
    contextmenu: (params: import("echarts/core").ECElementEvent) => boolean;
    globalout: (params: import("echarts/core").ECElementEvent) => boolean;
} & {
    highlight: null;
    downplay: null;
    selectchanged: null;
    legendselectchanged: null;
    legendselected: null;
    legendunselected: null;
    legendselectall: null;
    legendinverseselect: null;
    legendscroll: null;
    datazoom: null;
    datarangeselected: null;
    graphroam: null;
    georoam: null;
    treeroam: null;
    timelinechanged: null;
    timelineplaychanged: null;
    restore: null;
    dataviewchanged: null;
    magictypechanged: null;
    geoselectchanged: null;
    geoselected: null;
    geounselected: null;
    axisareaselected: null;
    brush: null;
    brushEnd: null;
    brushselected: null;
    globalcursortaken: null;
} & {
    rendered: (params: {
        elapsedTime: number;
    }) => boolean;
    finished: () => boolean;
} & {
    "zr:mousewheel": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:drag": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:dragstart": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:dragend": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:dragenter": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:dragleave": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:dragover": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:drop": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:click": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:dblclick": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:mouseout": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:mouseover": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:mouseup": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:mousedown": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:mousemove": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:contextmenu": (params: import("echarts/core").ElementEvent) => boolean;
    "zr:globalout": (params: import("echarts/core").ElementEvent) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    loading: BooleanConstructor;
    loadingOptions: PropType<import("../types").LoadingOptions>;
    autoresize: PropType<boolean | {
        throttle?: number;
        onResize?: ResizeObserverCallback;
    }>;
    option: PropType<Option>;
    theme: {
        type: PropType<Theme>;
    };
    initOptions: PropType<InitOptions>;
    updateOptions: PropType<UpdateOptions>;
    group: StringConstructor;
    manualUpdate: BooleanConstructor;
}>> & {
    onClick?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onContextmenu?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onDblclick?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onMousedown?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onMousemove?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onMouseout?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onMouseover?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onMouseup?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    onGlobalout?: ((params: import("echarts/core").ECElementEvent) => any) | undefined;
    "onZr:mousewheel"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:drag"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:dragstart"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:dragend"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:dragenter"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:dragleave"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:dragover"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:drop"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:click"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:dblclick"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:mouseout"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:mouseover"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:mouseup"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:mousedown"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:mousemove"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:contextmenu"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    "onZr:globalout"?: ((params: import("echarts/core").ElementEvent) => any) | undefined;
    onHighlight?: ((...args: any[]) => any) | undefined;
    onDownplay?: ((...args: any[]) => any) | undefined;
    onSelectchanged?: ((...args: any[]) => any) | undefined;
    onLegendselectchanged?: ((...args: any[]) => any) | undefined;
    onLegendselected?: ((...args: any[]) => any) | undefined;
    onLegendunselected?: ((...args: any[]) => any) | undefined;
    onLegendselectall?: ((...args: any[]) => any) | undefined;
    onLegendinverseselect?: ((...args: any[]) => any) | undefined;
    onLegendscroll?: ((...args: any[]) => any) | undefined;
    onDatazoom?: ((...args: any[]) => any) | undefined;
    onDatarangeselected?: ((...args: any[]) => any) | undefined;
    onGraphroam?: ((...args: any[]) => any) | undefined;
    onGeoroam?: ((...args: any[]) => any) | undefined;
    onTreeroam?: ((...args: any[]) => any) | undefined;
    onTimelinechanged?: ((...args: any[]) => any) | undefined;
    onTimelineplaychanged?: ((...args: any[]) => any) | undefined;
    onRestore?: ((...args: any[]) => any) | undefined;
    onDataviewchanged?: ((...args: any[]) => any) | undefined;
    onMagictypechanged?: ((...args: any[]) => any) | undefined;
    onGeoselectchanged?: ((...args: any[]) => any) | undefined;
    onGeoselected?: ((...args: any[]) => any) | undefined;
    onGeounselected?: ((...args: any[]) => any) | undefined;
    onAxisareaselected?: ((...args: any[]) => any) | undefined;
    onBrush?: ((...args: any[]) => any) | undefined;
    onBrushEnd?: ((...args: any[]) => any) | undefined;
    onBrushselected?: ((...args: any[]) => any) | undefined;
    onGlobalcursortaken?: ((...args: any[]) => any) | undefined;
    onRendered?: ((params: {
        elapsedTime: number;
    }) => any) | undefined;
    onFinished?: (() => any) | undefined;
}, {
    manualUpdate: boolean;
    loading: boolean;
}, {}>;
export default _default;
